<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
	<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
	<div class="ui main container" th:fragment="page">
		<h2 class="ui header">
			<i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SPRINT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
			<span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SPRINTS}}"></span>
		</h2>

		<div th:if="${not #lists.isEmpty(sprints)}" id="sprints-list" th:fragment="sprints-list">
			<div class="ui cards">
				<div class="ui raised card" th:each="sprint : ${sprints}">
					<div class="content">
						<div class="header">
						<a th:text="${sprint.name}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SPRINTS} + '/' + ${sprint.id}}"></a></div>
						<div class="description">
							<p th:text="${sprint.goal}"></p>
						</div>
						<a class="ui corner label"><i class="info circle icon"></i></a>
					</div>
					<div class="extra content">
						<div class="left floated author">
							<i class="tasks icon"></i>
    					    <span th:text="${#lists.size(sprint.tasks)}"></span>
    					    &nbsp;&nbsp;
    					    <i class="users icon"></i>
    					    <span th:text="${#lists.size(sprint.members)}"></span>
						</div>
						<div class="right floated author">
							<img class="ui avatar blue image" data-variation="mini inverted" th:each="member, stat : ${sprint.sprintMembers}" th:if="${stat.index < 4} " th:src="@{${member.avatar.image}}" alt="avatar" style="background-color: #2185d0" th:attr="data-content=${member.name}">
							<span th:if="${#lists.size(sprint.sprintMembers) > 4}" th:text="'+' + ${#lists.size(sprint.sprintMembers) - 4}"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
		<th:block
			th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                            icon1text = null,
                                                            icon1url = null,
                                                            icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                            icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                            icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SPRINTS_CREATE},
                                                            )" />

	</div>
	<script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TEAMS_JS}}"></script>
</body>
</html>
